Cannoli_2.12: Core 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  object Cannoli

  Implicits on Cannoli function source data sets.

  Implicits on Cannoli function source data sets.

  Definition Classes
    cannoli
- CannoliAlignmentDataset
- CannoliFeatureDataset
- CannoliFragmentDataset
- CannoliReadDataset
- CannoliSequenceDataset
- CannoliVariantContextDataset

c

org.bdgenomics.cannoli.Cannoli

# CannoliFragmentDataset 

###

#### implicit class CannoliFragmentDataset extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliFragmentDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliFragmentDataset(fragments: FragmentDataset)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def alignWithBowtie(args: BowtieArgs): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with Bowtie via Cannoli.

   Align the paired-end reads in this FragmentDataset with Bowtie via Cannoli.

   args

     Bowtie function arguments.

   returns

     AlignmentDataset.

5.  def alignWithBowtie2(args: Bowtie2Args): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with Bowtie 2 via Cannoli.

   Align the paired-end reads in this FragmentDataset with Bowtie 2 via Cannoli.

   args

     Bowtie2 function arguments.

   returns

     AlignmentDataset.

6.  def alignWithBwaMem(args: BwaMemArgs): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with bwa mem via Cannoli.

   Align the paired-end reads in this FragmentDataset with bwa mem via Cannoli.

   args

     Bwa mem function arguments.

   returns

     AlignmentDataset.

7.  def alignWithBwaMem2(args: BwaMem2Args): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with Bwa-mem2 via Cannoli.

   Align the paired-end reads in this FragmentDataset with Bwa-mem2 via Cannoli.

   args

     BwaMem2 function arguments.

   returns

     AlignmentDataset.

8.  def alignWithGem(args: GemArgs): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with GEM-Mapper via Cannoli.

   Align the paired-end reads in this FragmentDataset with GEM-Mapper via Cannoli.

   args

     GEM-Mapper function arguments.

   returns

     AlignmentDataset.

9.  def alignWithMagicBlast(args: MagicBlastArgs): AlignmentDataset

   Align the paired-end reads in this FragmentDataset with Magic-BLAST via Cannoli.

   Align the paired-end reads in this FragmentDataset with Magic-BLAST via Cannoli.

   args

     Magic-BLAST function arguments.

   returns

     AlignmentDataset.

10.  def alignWithMinimap2(args: Minimap2Args): AlignmentDataset

    Align the paired-end reads in this FragmentDataset with Minimap2 via Cannoli.

    Align the paired-end reads in this FragmentDataset with Minimap2 via Cannoli.

    args

      Minimap2 function arguments.

    returns

      AlignmentDataset.

11.  def alignWithSnap(args: SnapArgs): AlignmentDataset

    Align the paired-end reads in this FragmentDataset with SNAP via Cannoli.

    Align the paired-end reads in this FragmentDataset with SNAP via Cannoli.

    args

      SNAP function arguments.

    returns

      AlignmentDataset.

12.  def alignWithStar(args: StarArgs): AlignmentDataset

    Align the paired-end reads in this FragmentDataset with STAR via Cannoli.

    Align the paired-end reads in this FragmentDataset with STAR via Cannoli.

    args

      STAR function arguments.

    returns

      AlignmentDataset.

13.  def alignWithUnimap(args: UnimapArgs): AlignmentDataset

    Align the paired-end reads in this FragmentDataset with Unimap via Cannoli.

    Align the paired-end reads in this FragmentDataset with Unimap via Cannoli.

    args

      Unimap function arguments.

    returns

      AlignmentDataset.

14.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped